/* UNIVERSAL */
table.nowrap td,
table.nowrap th {
    white-space: nowrap;
}
.mx-auto {
    margin-left: auto !important;
    margin-right: auto !important;
}
.my-10 {
    margin-top: 10px !important;
    margin-bottom: 10px !important;
}
.mb-10 {
    margin-bottom: 10px !important;
}
/* END UNIVERSAL */
#saku-datatable .saku-datatable-header {
    min-height: 68px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 1rem !important;
}
#saku-datatable #feature-table {
    padding: 0 15px;
}
#saku-datatable #feature-table #page-count + .selectize-control {
    width: 250px;
}
#saku-datatable #feature-table {
    padding: 0 1.5rem;
}
#saku-datatable #feature-table .additional-feature {
    display: flex;
    column-gap: 0.5rem;
}
#saku-datatable #feature-table .additional-feature button img {
    width: 14px;
    height: 14px;
}
#saku-datatable #feature-table .additional-feature button.dropdown-toggle img {
    width: 14px;
    height: 14px;
    transform: rotate(90deg);
    float: right;
    position: relative;
    top: 5px;
    right: 0;
}
#saku-datatable #feature-table .additional-feature .search-container {
    width: 611px;
    position: relative;
    margin-left: 0.5rem;
}
#saku-datatable #feature-table .additional-feature .search-container img {
    width: 14px;
    height: 14px;
    position: absolute;
    top: 7px;
    left: 12px;
    z-index: 5;
}
#saku-datatable #feature-table .additional-feature .search-container input {
    padding-left: 2.5rem;
}
#saku-datatable #card-header {
    min-height: 48px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#saku-datatable #card-header h6 {
    margin-bottom: 0;
}
#saku-datatable #card-header .btn-add {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 38px;
    width: 91px;
    background-color: #375cb4;
    border: 1px solid #fff;
    color: #fff;
    outline: none;
    gap: 8px;
    border-radius: 4px;
}
#saku-datatable #card-header .btn-add:active {
    background-color: #2a4689;
}
/* prettier-ignore */
#saku-datatable #feature-table .page-countdata #page-count + .selectize-control {
    width: 145px;
}
#saku-datatable #feature-table .input-group {
    max-width: 320px;
}
#saku-datatable #feature-table .input-group .input-group-append {
    max-height: 29.2px;
    min-width: 92px;
}
#saku-datatable #feature-table .input-group #search-data {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    max-width: 230px !important;
}
#saku-datatable #feature-table .input-group #filter-btn {
    border-top-right-radius: 0.5rem !important;
    border-bottom-right-radius: 0.5rem !important;
    width: 100%;
    outline: none !important;
    background-color: transparent;
    border: 1px solid #d7d7d7;
    font-size: 0.8rem !important;
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
}
#saku-datatable #table-container {
    min-height: 560px !important;
    padding-top: 1rem;
}
#table-data {
    width: 100% !important;
}
#table-data_wrapper .dataTables_scrollHead table,
#table-data_wrapper .dataTables_scrollBody table {
    width: 100% !important;
    table-layout: fixed !important;
}
#table-data_wrapper .col-no {
    width: 5% !important;
}
#table-data_wrapper .col-no-justifikasi {
    width: 10% !important;
}
#table-data_wrapper .col-tanggal {
    width: 12% !important;
}
#table-data_wrapper .col-deskripsi {
    width: 18% !important;
}
#table-data_wrapper .col-jumlah {
    width: 13% !important;
}
#table-data_wrapper .col-nilai {
    width: 17% !important;
}
#table-data_wrapper .col-status {
    width: 15% !important;
}
#table-data_wrapper .col-aksi {
    width: 10% !important;
}
#table-data tbody td .badge {
    border-radius: 100px;
    padding: 8px 22px;
    font-size: 9px !important;
    font-weight: 600;
    line-height: 18px;
    color: #fff;
}
#table-data tbody td .badge.badge-open {
    background-color: rgba(97, 197, 84, 1);
}
#table-data tbody td .badge.badge-filled {
    background-color: rgba(244, 190, 80, 1);
}
#table-data tbody td .badge.badge-closed {
    background-color: rgba(255, 59, 48, 1);
}
#teleport {
    position: relative;
    width: 100%;
    height: 100%;
}
#teleport .header-form {
    min-height: 52px;
    display: flex;
    flex-direction: column;
    padding-top: 1rem;
    padding-left: 27px;
    padding-right: 27px;
    box-shadow: 0px 4px 4px 0px rgba(182, 182, 182, 0.25);
    background-color: #fff;
}
#teleport .header-form .top-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#teleport .header-form .top-content .title-form {
    font-weight: 600;
    font-size: 16px;
    line-height: 18px;
    letter-spacing: 0%;
}
#teleport .header-form .top-content .action-content {
    display: flex;
    align-items: center;
    gap: 8px;
}
#teleport .header-form .top-content .action-content .btn-action {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    font-weight: 600;
    font-size: 12.8px !important;
    line-height: 18px;
    letter-spacing: 0%;
    outline: none;
    background-color: transparent;
    border-radius: 4px;
    padding: 0.5rem;
    height: 76px;
    height: 20px;
}
#teleport .header-form .top-content .action-content .btn-action:hover {
    background-color: #f5f5f5;
}
#teleport .header-form .top-content .action-content .btn-action:active {
    background-color: #e0e0e0;
}
#teleport .header-form .top-content .action-content .btn-action:disabled {
    pointer-events: none;
    opacity: 0.5;
}
#teleport .box {
    position: relative;
    margin-top: 7px;
    background-color: #fff;
    border-radius: 0;
    box-shadow: 0px 4px 4px 0px rgba(182, 182, 182, 0.25);
    padding: 1rem;
    height: calc(100dvh - 143px);
    min-width: 30dvw;
}
#teleport .box .box-body {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1; /* Menginstruksikan anak untuk mengambil semua sisa tinggi parent */
    overflow: hidden;
    overflow-y: auto; /* Mengaktifkan scroll hanya jika konten melebihi tinggi */
    /* Opsional: agar tampilan scrollbar lebih rapi di browser modern */
    scrollbar-width: thin;
}
#teleport .box .box-body .form-row {
    display: flex;
    gap: 10px;
    margin-bottom: 1rem;
    flex-wrap: nowrap;
    margin-left: 0;
    margin-right: 0;
    max-width: 50%;
}
#teleport .box .box-body .form-row:not(:last-child) {
    margin-bottom: 0;
}
#teleport .box .box-body .form-row .form-group {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 74px;
    justify-content: flex-end;
    margin-bottom: 0;
}
#teleport .box .box-body .form-row .form-group .date-search {
    font-size: 18px;
    position: absolute;
    bottom: 0;
    right: 0;
    transform: translate(-8px, -6px);
}
#teleport .box .box-body .form-master-header-grid {
    background: #efefef;
    margin-top: 28px;
}
#teleport .box .box-body .tab-nav-wrapper {
    display: flex;
    flex-direction: row;
    background: none !important;
    padding: 0.5rem 1.5rem;
    margin-top: 0.5rem;
}
#teleport .box .box-body .tab-nav-wrapper .tab-nav-next {
    margin-left: auto;
}
#teleport .box .box-body .tab-content {
    margin-top: 20px;
}
#teleport .box .box-body .tab-pane .table thead th {
    background: #e3e3e3;
    border: 1px solid #333 !important;
    font-size: 13px !important;
    font-weight: 500;
    color: #333;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    user-select: none;
}
#teleport .box .box-body .tab-pane .table thead th .th-inner {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    font-size: inherit !important;
}
#teleport
    .box
    .box-body
    .tab-pane#data-kebutuhan
    .table
    thead
    th
    .th-inner
    .sort-icon {
    width: 14px;
    height: 14px;
    object-fit: contain;
    opacity: 0.5;
    flex-shrink: 0;
    display: inline-block;
}
#teleport
    .box
    .box-body
    .tab-pane#data-kebutuhan
    .table
    thead
    th
    .th-inner
    .sort-icon.active {
    opacity: 1;
}
#teleport .box .box-body .tab-pane .table tbody td {
    vertical-align: middle !important;
    font-weight: 500 !important;
    font-size: 13px !important;
    line-height: 18px !important;
    border: 1px solid #333 !important;
    white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
}
#teleport .box .box-body .tab-pane .table + .btn-add-row {
    font-weight: 600;
    font-size: 12.8px !important;
    line-height: 18px !important;
    letter-spacing: 0% !important;
    border: 1px dotted #8b8a8d;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    width: 100%;
    height: 38px;
    background-color: transparent;
    outline: none;
    box-shadow: none;
    margin-top: 10px;
    border-radius: 4px;
}
#teleport .box .box-body .tab-pane .table + .btn-add-row:active {
    background-color: #f0f0f0;
}
/* prettier-ignore */
#teleport .box .box-body .tab-pane .table tbody td .action-item {
    outline: none;
    background-color: transparent;
    box-shadow: none;
    border: none;
    border-radius: 9999px;
}
/* prettier-ignore */
#teleport .box .box-body .tab-pane .table tbody td .action-item:hover {
    background-color: #f4f4f5;
}
#teleport .box .box-body .tab-pane .table.table-cbbl tbody td {
    position: relative;
}
#teleport .box .box-body .tab-pane .table.table-cbbl tbody td .btn-cbbl {
    position: absolute;
    bottom: 0;
    right: 0;
    outline: none;
    background-color: transparent;
    box-shadow: none;
    border: none;
    border-radius: 9999px;
    transform: translate(-8px, -13px);
}
#teleport
    .box
    .box-body
    .tab-pane
    .table.table-cbbl
    tbody
    td
    input:not([id*="selectized"]) {
    width: 100%;
    outline: none;
    border: 1px solid #000000 !important;
    background-color: #fff;
    color: #000;
    font-weight: 500;
    font-size: 12.8px !important;
    line-height: 18px;
    letter-spacing: 0%;
    padding: 4px 10px;
    box-shadow: none !important;
}
#teleport .box .box-body .tab-pane#data-lampiran {
    padding-left: 80px;
    padding-right: 80px;
    flex-grow: 1;
    height: 100%;
}
#teleport .box .box-body .tab-pane#data-lampiran .upload-container {
    display: flex;
    height: calc(42vh - 16px);
    gap: 50px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-area {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 30%;
    height: 100%;
    border: 2px dashed #dee1e6;
    border-radius: 10px;
    margin-bottom: 30px;
    cursor: pointer;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-area
    img {
    margin-bottom: 11px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-area
    .upload-label {
    font-weight: 500;
    font-size: 12.8px;
    line-height: 100%;
    letter-spacing: 0%;
    margin-bottom: 2px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-area
    .upload-support,
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-area
    .upload-limit {
    font-weight: 500;
    font-size: 12.8px;
    line-height: 100%;
    letter-spacing: 0%;
    color: #8b8a8d;
    margin-bottom: 2px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section {
    margin-bottom: 16px;
    width: 70%;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .section-title {
    font-weight: 500;
    font-size: 12.8px;
    line-height: 100%;
    letter-spacing: 0%;
    margin-bottom: 9px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list {
    display: flex;
    flex-direction: column;
    gap: 3px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploading-item {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 6px;
    box-shadow: 0px 4px 4px 0px rgba(223, 223, 223, 0.25);
    padding: 10px 8px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploading-item
    .top-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploading-item
    .top-content
    .upload-info {
    display: flex;
    align-items: center;
    gap: 8px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploading-item
    .top-content
    .upload-info
    .file-name {
    font-weight: 500;
    font-size: 12.8px;
    line-height: 100%;
    letter-spacing: 0%;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploading-item
    .progress-bar {
    height: 4px;
    width: 100%;
    background-color: #dee1e6;
    border-radius: 100px;
    overflow: hidden;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploading-item
    .progress-bar
    .progress-fill {
    height: 100%;
    background-color: #375cb4;
    border-radius: 100px;
    transition: width 0.3s ease;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item {
    display: flex;
    align-items: center;
    background-color: #f8f8f8;
    border-radius: 6px;
    padding: 10px 8px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    img {
    margin-right: 9px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    .uploaded-info {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 2px;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    .uploaded-info
    .file-name {
    font-weight: 500;
    font-size: 12.8px;
    line-height: 100%;
    letter-spacing: 0%;
    text-decoration: underline;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    .uploaded-info
    .additional-info {
    display: flex;
    gap: 10px;
    align-items: center;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    .uploaded-info
    .additional-info
    .upload-size,
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    .uploaded-info
    .additional-info
    .upload-date {
    font-weight: 500;
    font-size: 10px;
    line-height: 100%;
    letter-spacing: 0%;
    color: #8b8a8d;
}
#teleport
    .box
    .box-body
    .tab-pane#data-lampiran
    .upload-container
    .upload-section
    .uploading-list
    .uploaded-item
    .btn-icon {
    height: 16px;
    background: none;
    background-color: transparent;
    outline: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
}
